Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035300
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-02-17 13:412017-03-15 20:21
ReporterngarciaView Statuspublic 
Assigned Tomcobas 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision11a7d575cf55
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035300: Empty error message when applying a cost adjustment to a transaction associated to a work effort line

DescriptionEmpty error message when applying a cost adjustment to a transaction associated to a work effort line
Steps To ReproduceAs group admin role:
   Create two products and set them as Production
   Create an Activity
   Do not set a Cost Center to it
   Create a Process Plan, a Version and an Operation
   Assign the previously created Activity to it
   Add the previously created two products to it: one as P+ and the other one as P-
   Create a Work Requirement and assign the previously created Process Plan and process it
   Create a goods receipt and add the P- product
   Create Work Effort from the Work Requirement and validate it
   Launch the Costing Background Process and check it finishes successfully
   The cost of the transactions associated to work effort lines should be 0 as the cost center was not defined (see related issue)
   Go to P- product, select the transaction associated to the work effort and click on Manual Cost Adjustment button
   Set a Total Cost Amount and select Incremental and Unit Cost
   Check an empty error message is shown. The logs shows:
      ERROR org.openbravo.costing.ManualCostAdjustmentProcessHandler - Error in CostAdjustmentProcessHandler: null
java.lang.NullPointerException
    at java.math.BigDecimal.multiply(BigDecimal.java:1302)
    at org.openbravo.costing.CostingAlgorithmAdjustmentImp.searchManufacturingProduced(CostingAlgorithmAdjustmentImp.java:284)
    at org.openbravo.costing.CostingAlgorithmAdjustmentImp.addCostDependingTrx(CostingAlgorithmAdjustmentImp.java:190)
    at org.openbravo.costing.CostingAlgorithmAdjustmentImp.searchRelatedTransactionCosts(CostingAlgorithmAdjustmentImp.java:155)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0025105 newTriage Finance The Production cost should be calculated independently if the Cost center is defined in the Production Run 

-  Notes
(0094811)
hgbot (developer)
2017-03-07 18:41

Repository: erp/devel/pi
Changeset: 11a7d575cf55dddbf47253f4a8e54b59f84b0cba
Author: Miguel <martencobasmiguel <at> gmail.com>
Date: Tue Mar 07 12:15:04 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/11a7d575cf55dddbf47253f4a8e54b59f84b0cba [^]

Fixes issue 35300: Empty error message when applying a manual cost adjustment
to a transaction associated to a work effort line

This happens trying to multiply by a line component cost not calculated. If the
component cost is not calculated then it have a null value and multiplication fails.

Only multiplies for the Component Cost in the case that it be different than null.

---
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
---
(0094812)
markmm82 (developer)
2017-03-07 18:43

Code review + Testing OK
(0095276)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-17 13:41 ngarcia New Issue
2017-02-17 13:41 ngarcia Assigned To => Triage Finance
2017-02-17 13:41 ngarcia Modules => Core
2017-02-17 13:41 ngarcia Triggers an Emergency Pack => No
2017-02-17 13:46 ngarcia Relationship added related to 0025105
2017-02-17 13:46 ngarcia Issue Monitored: networkb
2017-02-17 14:54 markmm82 Assigned To Triage Finance => collazoandy4
2017-02-22 17:44 Integritas Issue Monitored: Integritas
2017-02-24 14:07 ngarcia Summary Empty error message when applying a manual cost adjustment to a transaction associated to a work effort line => Empty error message when applying a cost adjustment to a transaction associated to a work effort line
2017-02-24 14:07 ngarcia Description Updated View Revisions
2017-03-07 18:41 hgbot Checkin
2017-03-07 18:41 hgbot Note Added: 0094811
2017-03-07 18:41 hgbot Status new => resolved
2017-03-07 18:41 hgbot Resolution open => fixed
2017-03-07 18:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/11a7d575cf55dddbf47253f4a8e54b59f84b0cba [^]
2017-03-07 18:43 markmm82 Review Assigned To => markmm82
2017-03-07 18:43 markmm82 Note Added: 0094812
2017-03-07 18:43 markmm82 Status resolved => closed
2017-03-07 18:43 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-08 18:09 markmm82 Assigned To collazoandy4 => mcobas
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095276


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker